
Isuzu Engine Manufacturing Co.,(Thailand) Ltd.  - Parent project #940

[PJ220014] Knuckle Line MC27 Traceability system mod

11 Apr 2025 13:25 - Karnthida Wannasiwaporn

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Karnthida Wannasiwaporn Spent time: 0.00 hour

Description

History

#1 - 11 Apr 2025 13:26 - Karnthida Wannasiwaporn

- Status changed from In Progress to New

#2 - 05 Nov 2025 11:10 - Siriwilai Chaiwattanaphon

- Status changed from New to Closed

- Start date deleted (11 Apr 2025)
